Get Agent Logins (Basic Authentication)

Generated from cURL: curl --location 'https://api.pre-prod.ozonetel.com/ca_apis/getAgentLogins'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJwcmVwcm9kIiwiZXhwIjoxNzMyODY0NjIzLCJpYXQiOjE3MzI4NjEwMjN9.m8NNT2Vd3QCHJIGYfZrbanmHwJMHkjnKrRqvORl56zLSCiPt1MQSfv7Oj9PzIxGsf1RNQ5RiEKi9G72YubwOVQ'
--header 'Cookie: PHPSESSID=ed286ff09068f8cfdc0fc352184e40de'
--data '{

"userName": "preprod"

}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API retrieves the status of all logged-in agents, providing information about their current state, such as Ready, ACW, or Idle.

❗️

Rate Limit:

A maximum of 5 requests per minute is allowed.

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params

{
"userName": "xxxxxx"
}

Possible responses

Success response{
"status": "success",
"message": [
{
"AgentId": "xxx",
"AgentName": "xxx",
"PhoneNumber": "500994",
"AgentState": "READY",
"SkillName": "General, widget"
},
{
"AgentId": "xxx",
"AgentName": "xxxx",
"PhoneNumber": "xxx",
"AgentState": "READY",
"SkillName": "Hyderabad, offline_hyd, webChat, whatsapp"
},
][
{
"AgentId": "xxx",
"AgentName": "xxx",
"PhoneNumber": "500994",
"AgentState": "READY",
"SkillName": "General, widget"
},
{
"AgentId": "xxx",
"AgentName": "xxxx",
"PhoneNumber": "xxx",
"AgentState": "READY",
"SkillName": "Hyderabad, offline_hyd, webChat, whatsapp"
},
]
}
If userName is empty"status": "error"
"message": "userName should not be empty"
If apiKey is empty"status": "error"
"message": "apiKey should not be empty"
If userName or apiKey is invalid"status": "error"
"message": "userName or apiKey is Invalid"
If rate limit exceeds{
"message": "Max limit exceeded",
"status": "error"
}
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!